#ifndef TMProcessingList_H
#define TMProcessingList_H

#include "TMDisplaying.h"
#include "TMHistogramming.h"

class TMProcessingList {
 public:
  TMProcessingList();
  virtual ~TMProcessingList();

  virtual void AddDisplayingObj(TMDisplaying *disp, UInt_t id);
  virtual void RemoveDisplayingObj(UInt_t id);
  virtual void AddHistogrammingObj(TMHistogramming *disp, UInt_t id);
  virtual void RemoveHistogrammingObj(UInt_t id);

  virtual void ResetDisplays();
  virtual void UpdateDisplays();
  virtual void UpdateAutoDisplays();

  virtual TMDisplaying*    GetDisplayingObj(UInt_t id);
  virtual TMHistogramming* GetHistogrammingObj(UInt_t id);


 protected:
  

};

#endif
